Bug 2010111 - Review Request: gdnativegamerzilla - Godot native interface to gamerzilla
Summary: Review Request: gdnativegamerzilla - Godot native interface to gamerzilla
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2025318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-03 19:37 UTC by Dennis Payne
Modified: 2023-09-15 01:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
If this bug requires documentation, please select an appropriate Doc Type value.
Last Closed: 2022-03-29 07:13:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Dennis Payne 2021-10-03 19:37:02 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/gdnativegamerzilla/master/gdnativegamerzilla.spec
SRPM URL: http://identicalsoftware.com/gamerzilla/gdnativegamerzilla-0.1-1.fc34.src.rpm
Description:
Godot native interface to award game achievements. The libgamerzilla is
used to communicate with the gamerzilla server.

Fedora Account System Username:dulsi

Comment 2 Sandro Mani 2021-11-20 16:26:15 UTC
I'd suggest to simplify as

%prep
%setup -q -T -a0 -a1 -a2

%build
mv godot-cpp-godot-3.3.4-stable godot-cpp
rmdir godot-cpp/godot-headers
mv godot-headers-godot-3.3.4-stable godot-cpp/godot-headers
cd godot-cpp
scons platform=linux generate_bindings=yes -j4
cd ../%{name}-%{version}
mkdir bin
scons platform=linux

Comment 3 Dennis Payne 2021-11-20 19:18:07 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/gdnativegamerzilla/master/gdnativegamerzilla.spec
SRPM URL: http://identicalsoftware.com/gamerzilla/gdnativegamerzilla-0.1-2.fc35.src.rpm

I decided to combine your change with some changes suggested on fedora magazine.

Comment 4 Sandro Mani 2021-11-21 09:48:53 UTC
There is a godot package in fedora, can it be used rather then the separate sources?

If not:

* You could set a macro

%global godot_ver 3.4

and use it for the source URLs and in %setup. The source URLs could be simplified to

Source1: https://github.com/godotengine/godot-cpp/archive/godot-%{godot_ver}-stable/godot-cpp-%{godot_ver}-stable.tar.gz
Source2: https://github.com/godotengine/godot-headers/archive/godot-%{godot_ver}-stable/godot-headers-%{godot_ver}-stable.tar.gz


* The license should be zlib and MIT, as godot-cpp and headers is MIT, and include the godot LICENSE files in %license

* You'll need to add Provides: bundled(godot) = %{godot_ver}



Furthermore, you could replace

mkdir -p %{buildroot}%{_libdir}
cp %{name}-%{version}/bin/x11/libgdgamerzilla.so %{buildroot}%{_libdir}/libgdgamerzilla.so

with

install -Dpm 0755 %{name}-%{version}/bin/x11/libgdgamerzilla.so %{buildroot}%{_libdir}/libgdgamerzilla.so

Comment 5 Dennis Payne 2021-11-21 16:52:23 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/gdnativegamerzilla/master/gdnativegamerzilla.spec
SRPM URL: http://identicalsoftware.com/gamerzilla/gdnativegamerzilla-0.2-1.fc35.src.rpm

I didn't want to separate the godot-cpp stuff into a separate package but I knew that was the right solution so I've done that now.

Comment 6 Sandro Mani 2022-03-02 13:19:03 UTC
@dulsi Still interested in pursuing this?

Comment 7 Sandro Mani 2022-03-29 07:13:08 UTC
Closed per stalled review policy.

Comment 8 Red Hat Bugzilla 2023-09-15 01:15:49 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.